Package python-scrapy

The Python 2 subpackage(s) are not required by anything in Fedora. They can be dropped if the maintainer wishes.


See python-scrapy in the Fedora Pagure, or go directly to the corresponding spec file.

Upstream

There's an official release that includes Python 3 support.

Links

Fedora L

Package with dual support whose Python 2 subpackage(s) aren't needed elsewhere in Fedora

RPMs
  • python2-scrapy-1.5.0-1.fc28
    • × python(abi) = 2.7
  • python3-scrapy-1.5.0-1.fc28
    • /usr/bin/python3
    • python(abi) = 3.6
Links

Dependent packages

Run time

None.

Build time

None.

Dependency Tree

Run time

Build time

Project Size

~22.2K total lines of code
~21.8K (98%) Python
(approximation as of 1.0.3-1.fc23)

Dependencies

Run time

1 Python 3 only; 9 Dual support; 1 Dropped
Package Upstream Fedora
  pyOpenSSL  
  python-cssselect  
  python-lxml  
  python-parsel  
  python-pydispatcher  
  python-queuelib  
  python-twisted   bug (CLOSED ERRATA)
  python-w3lib   bug (CLOSED RAWHIDE)
  python-zope-interface  
  python3   bug (NEW)
  python2   X

Build time

1 Python 3 only; 6 Dual support; 1 Dropped
Package Upstream Fedora
  python-cssselect  
  python-lxml  
  python-queuelib  
  python-sphinx  
  python-twisted   bug (CLOSED ERRATA)
  python-w3lib   bug (CLOSED RAWHIDE)
  python3   bug (NEW)
  python2   X